---
id: 6887550fe36f64e27074475a
title: Step 18
challengeType: 20
dashedName: step-18
---

# --description--

Have Alice send an email to Bob to see if the email delivery works correctly.

Use Alice's `send_email` method to send Bob an email with subject `"Hello"` and body `"Hi Bob, how are you?"`.

# --hints--

You should call `alice.send_email()` with the correct parameters.

```js
({
    test: () => {
        assert(runPython(`_Node(_code).has_call('alice.send_email(bob, "Hello", "Hi Bob, how are you?")')`));
    }
})
```

# --seed--

## --seed-contents--

```py
class Email:
    def __init__(self, sender, receiver, subject, body):
        self.sender = sender
        self.receiver = receiver
        self.subject = subject
        self.body = body
        self.read = False

    def mark_as_read(self):
        self.read = True

class User:
    def __init__(self, name):
        self.name = name
        self.inbox = Inbox()

    def send_email(self, receiver, subject, body):
        email = Email(sender=self, receiver=receiver, subject=subject, body=body)
        receiver.inbox.receive_email(email)

class Inbox:
    def __init__(self):
        self.emails = []

    def receive_email(self, email):
        self.emails.append(email)

alice = User("Alice")
bob = User("Bob")
--fcc-editable-region--

--fcc-editable-region--
```
